postgis + plv8 auf PG94 + CentOS 6.6

Alle anderen Fragen und Probleme zur Installation.
Antworten
rhaupt
Neuer Benutzer
Beiträge: 21
Registriert: Di 26. Mär 2013, 18:25

postgis + plv8 auf PG94 + CentOS 6.6

Beitrag von rhaupt » Do 20. Aug 2015, 20:17

Hallo,
versuche mit meinen begrenzten Linux-Kenntnissen nach der geglückten Installation von PostgreSQL 9.4 auf einer CentOS-6.6-VirtualBox nun noch die Extensions postgis und plv8 zu installieren. Beliebig komplizierte Anleitungen dazu gibt es reichlich im Netz. Ein einfaches "yum postgis..." scheint jedoch unmöglich, da gibt es ständig Abhängigkeitsprobleme:
...
Error: Package: gdal-libs-1.9.2-7.rhel6.x86_64 (pgdg94)
Requires: libdapserver.so.7()(64bit)
Error: Package: gdal-libs-1.9.2-7.rhel6.x86_64 (pgdg94)
Requires: libCharLS.so.1()(64bit)
Error: Package: gdal-libs-1.9.2-7.rhel6.x86_64 (pgdg94)
Requires: libarmadillo.so.4()(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

"yum plv8.." gibts nicht mal im Angebot (yum list *v8*).

Ist das unter Windows wirklich alles viel einfacher? Kann's gar nicht glauben .. jedenfalls war ich dort nach 30 min komplett durch mit ein bisserl setup und kopieren. Aber lieber würd ich PG ja unter Linux laufen haben ...

Hat jemand eine zündende Idee?

rhaupt
Neuer Benutzer
Beiträge: 21
Registriert: Di 26. Mär 2013, 18:25

Re: postgis + plv8 auf PG94 + CentOS 6.6

Beitrag von rhaupt » Do 20. Aug 2015, 21:23

hat mich noch ein paar stunden gekostet, aber letztlich ist die lösung wieder mal einfach, sofern man sie kennt:

sudo yum install epel-release

das default-repo von CentOS 6.x enthält also lange nicht alle gängigen pakete.
danach war alles ein kinderspiel :-)

akretschmer
Erfahrener Benutzer
Beiträge: 7677
Registriert: So 29. Okt 2006, 13:35
Wohnort: Kaufbach, Sachsen, Germany, Germany
Kontaktdaten:

Re: postgis + plv8 auf PG94 + CentOS 6.6

Beitrag von akretschmer » Do 20. Aug 2015, 22:17

Yeah!

Gisman
Erfahrener Benutzer
Beiträge: 1140
Registriert: Fr 20. Jan 2006, 15:30
Wohnort: Pfalz
Kontaktdaten:

Re: postgis + plv8 auf PG94 + CentOS 6.6

Beitrag von Gisman » Fr 21. Aug 2015, 13:08

Ja, Postgis enthält einige 'nicht gängige Abhängigkeiten'- Wichtig sind gdal, geos, proj, damit kommt man schon recht weit. Spezielle Extensions wie pg_routing brauchen ggf noch mehr zusätzliche libs.

Grüßle Uwe

Antworten